Get users by group profile
curl --request GET \
--url https://api-stage.karmacheck.io/company/user/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/company/user/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/company/user/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"id": "f7bdbab9-fb9f-4c24-928d-91700030e5bc",
"givenName": "John",
"familyName": "Doe",
"enabled": 0
},
{
"id": "f7bdbab9-fb9f-4c24-928d-91700030e5ab",
"givenName": "Jane",
"familyName": "Doe",
"enabled": 1
}
]
}Users
Get users by group profile
Gets the users for every group within the company that the authenticated user belongs to.
If the groupProfileId query parameter is included, the endpoint retrieves users associated with only the specified group.
GET
/
company
/
user
/
list
Get users by group profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
OK
This model represents a User entity that is returned by the Get Users By Group Profile API.
- User · object[]
- User (Internal) · object[]
Show child attributes
Show child attributes
⌘I